dunetpc - Task #24823

Iceberg needs dunetpc release for production (v08_62_01)
08/19/2020 10:09 AM - David Adams

Status: Closed Start date: 08/19/2020
Priority: Normal Due date:

Assignee: David Adams % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
On behalf of Shekhar Mishra, Iceberg want to process data and needs a new release of dunetpc.

History

#1 - 08/19/2020 10:10 AM - David Adams

Normally, Christoph prepares the releases and | build them but | think Christoph is away this week.

Should | build v08_62_00_01 from the head of dunetpc?
#2 - 08/19/2020 10:13 AM - Christoph Alt
| was going to wait until larsoft v9 is released later this week for this week's dunetpc release, but the head of dunetpc develop already depends on

larsoft vO8_62_01, which was released on Monday. So you can tag dunetpc v08_62_01 from the current head of develop.

#3 - 08/19/2020 10:14 AM - Tingjun Yang

How soon do you need the release? It would be good to also merge Mike's changes to SCE calibration into a new release.

#4 - 08/19/2020 10:23 AM - David Adams
Thanks Christoph. | noticed the new dependency. | have started a test build of v08_62_01.

| would like to get this out before we move to larsoft 9. If the SC mods go in before that completes, | will start over with those. Otherwise, if the SC
mods are needed before that larsoft, put in another request and | will build v08_62_01_01.

#5 - 08/19/2020 11:15 AM - David Adams

- Status changed from New to Work in progress

Tag v08_62_01 is made and builds are started.

#6 - 08/19/2020 11:16 AM - David Adams

- Subject changed from Iceberg needs dunetpc release for production to Iceberg needs dunetpc release for production (v08_62_01)

Add tag to the title of this report.

#7 - 08/19/2020 01:28 PM - David Adams

The mac builds failed because larsoft v08_62_01 is missing. | add Lynn and Kyle who may be able to tell us if the larsoft release is planned for mac.

#8 - 08/19/2020 01:28 PM - David Adams

Th slf builds are installed.
#9 - 08/19/2020 04:35 PM - Lynn Garren
Ah sorry. Yes, larsoft v08_62_01 is available for macOS, and properly installed on cvmfs. However, it was not installed in

/grid/fermiapp/products/larsoft. That is now done.

#10 - 08/21/2020 10:42 AM - David Adams

- Status changed from Work in progress to Closed

Mac builds are also installed. This completes the task.
